<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="vm"
            type="com.example.beijing_daxing.vm.PowerData" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context=".SetingPowerActivity">

        <TextView
            style="@style/title_text"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:text="设置功率" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="功率:" />

            <EditText
                style="@style/san_text"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text='@={vm.powerIn+""}' />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal"
            android:visibility="gone">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="出库功率:" />

            <EditText
                style="@style/san_text"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text='@={vm.powerOut+""}' />
        </LinearLayout>


        <!--        <LinearLayout-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="45dp"-->
        <!--            android:layout_marginTop="10dp"-->
        <!--            android:orientation="horizontal">-->

        <!--            <TextView-->
        <!--                style="@style/info_text"-->
        <!--                android:layout_width="110dp"-->
        <!--                android:layout_height="45dp"-->
        <!--                android:layout_gravity="center"-->
        <!--                android:text="盘点功率:" />-->

        <!--            <EditText-->
        <!--                style="@style/san_text"-->
        <!--                android:layout_width="match_parent"-->
        <!--                android:layout_height="match_parent"-->
        <!--                android:layout_gravity="center"-->
        <!--                android:text='@={vm.powerStockCheck+""}' />-->
        <!--        </LinearLayout>-->

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal"
            android:visibility="gone">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="巡检功率:" />

            <EditText
                style="@style/san_text"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:text='@={vm.powerCheck+""}' />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:visibility="gone">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="报废功率:" />

            <EditText
                style="@style/san_text"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text='@={vm.powerScrap+""}' />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:visibility="gone">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="废品入库:" />

            <EditText
                style="@style/san_text"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text='@={vm.powerScrapIn+""}' />
        </LinearLayout>


        <!--        <LinearLayout-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="45dp"-->
        <!--            android:layout_marginTop="10dp">-->

        <!--            <TextView-->
        <!--                style="@style/info_text"-->
        <!--                android:layout_width="110dp"-->
        <!--                android:layout_height="45dp"-->
        <!--                android:layout_gravity="center"-->
        <!--                android:text="废品出库:" />-->

        <!--            <EditText-->
        <!--                style="@style/san_text"-->
        <!--                android:layout_width="match_parent"-->
        <!--                android:layout_height="45dp"-->
        <!--                android:layout_gravity="center"-->
        <!--                android:text='@={vm.powerScrapOut+""}' />-->
        <!--        </LinearLayout>-->


        <Button
            style="@style/button_style"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_margin="20dp"
            android:onClick="settingSeva"
            android:text="保存" />
    </LinearLayout>
</layout>